<?php
/**
 *
 * @package Slider Premium
 */
?>

<?php $showContent = get_theme_mod('premium_slider_show_content', 'on'); ?>
<div id="slider">
    <div class="container">
        <div class="owl-carousel feedback-slider">
            <?php
            $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
            if(!empty($pageId)){
                $args['page_id'] = absint($pageId);
            }
            $text = '';
            $query = new WP_Query($args);
            if($query->have_posts()){
                while($query->have_posts()) : $query->the_post(); 
                    $pageLink = '';
                    $slider_btn_link = get_post_meta($post->ID,'slider_btn_link',false);
                    $sliderBtnTxt = get_post_meta($post->ID,'sliderBtnTxt',false);
                    if(!empty($slider_btn_link) && is_array($slider_btn_link)){
                        $pageLink = esc_url(get_permalink($slider_btn_link[0]));
                    }
                    if(!empty($sliderBtnTxt) && is_array($sliderBtnTxt)){
                        $pageLinkTxt = $sliderBtnTxt[0];
                    }else{
                        $pageLinkTxt = 'Start Free Trial';
                    }
            ?>
                <div class="feedback-slider-item">
                    <div class="col-md-6 slidtxtbx">
                        <?php
                            if($showContent == 'on'){
                                ?>
                            <div class="slider-caption " data-wow-duration="0s">
                                <div class="slider-cap-title ">
                                    <?php echo (get_the_title()); ?>
                                </div>
                                <div class="slider-cap-desc ">
                                    <?php echo (get_the_content()); ?>
                                </div>              
                                <?php 
                                if(!empty($pageLink)){ ?>
                                    <div class="slider-btn ">
                                        <a class="btn btn-lg" href="<?php echo $pageLink; ?>"><span><?php echo($pageLinkTxt); ?></span></a>
                                    </div>
                                <?php }?>                         
                            </div>
                        <?php }?>
                    </div>
                    <div class="sliderimg col-md-6">
                        <?php 
                        if(has_post_thumbnail()){
                            $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                            echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                        }?>
                    </div>
                </div>
            <?php
            endwhile;
            }else{ 
                for($i=0;$i<2;$i++){?>
                    <div class="feedback-slider-item">
                        <div class="col-md-6 slidtxtbx">
                            <?php if($showContent == 'on'){?>
                                <div class="slider-caption" data-wow-duration="0s">
                                    <div class="slider-cap-title ">
                                        Best weight Loss Recipes
                                    </div>
                                    <div class="slider-cap-desc ">
                                       Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor facilisis.
                                       <li>Lorem ipsum dolor sit amet, consectetur</li>
                                       <li>Lorem ipsum dolor sit amet</li>
                                    </div>
                                    <div class="slider-btn ">
                                        <a class="btn btn-lg" href="#">
                                            <span>DIET PLAN</span>
                                        </a>
                                    </div>
                                </div>
                            <?php }?>
                        </div>
                        <div class="sliderimg col-md-6 ">
                            <?php echo '<img alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider-banner.jpg">';?>
                        </div>
                    </div>
                <?php }
            }?>
        </div>
    </div>
</div>
 <script>
jQuery(document).ready(function($) {
  var feedbackSlider = $('#slider .feedback-slider');
  feedbackSlider.owlCarousel({
    items: 1,
    nav: true,
    dots: true,
    autoplay: true,
    loop: true,
    mouseDrag: true,
    touchDrag: true,
    navText: ["<i class='fa fa-long-arrow-left'></i>", "<i class='fa fa-long-arrow-right'></i>"],
    responsive:{
    0: {
        items: 1,
        nav: true
      },
      600: {
        items:1,
        nav: true
      },
      // breakpoint from 767 up
      767:{
        nav: true,
        dots: false
      }
    
    }
  });
  
  feedbackSlider.on('changed.owl.carousel', function(property) {
    // var current = property.item.index;
    // var prevThumb = $(property.target).find(".feedback-slider-item").eq(current).prev().find("img").attr('src');
    // var nextThumb = $(property.target).find(".feedback-slider-item").eq(current).next().find("img").attr('src');
    // var prevRating = $(property.target).find(".feedback-slider-item").eq(current).prev().find('span').attr('data-rating');
    // var nextRating = $(property.target).find(".feedback-slider-item").eq(current).next().find('span').attr('data-rating');
    // $('.thumb-prev').find('img').attr('src', prevThumb);
    // $('.thumb-next').find('img').attr('src', nextThumb);
    // $('.thumb-prev').find('span').next().html(prevRating + '<i class="fa fa-star"></i>');
    // $('.thumb-next').find('span').next().html(nextRating + '<i class="fa fa-star"></i>');
  });
  // $('.thumb-next').on('click', function() {
  //   feedbackSlider.trigger('next.owl.carousel', [300]);
  //   return false;
  // });
  // $('.thumb-prev').on('click', function() {
  //   feedbackSlider.trigger('prev.owl.carousel', [300]);
  //   return false;
  // });
  
}); //end ready
    </script>